NNG_STAT_CHILD(3)

NAME
nng_stat_child - get child statistic

SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;

    nng_stat *nng_stat_child(nng_stat *parent);

DESCRIPTION

The nng_stat_child() function returns the first child statistic of the statistic parent. If no children are present, then NULL is returned.

    Tip

    Only statistics with type (see nng_stat_type()) of NNG_STAT_SCOPE will have children.

RETURN VALUES

The first child statistic of parent, or NULL if parent has no children.

ERRORS

None.

SEE ALSO

libnng(3), nng_stat_next(3), nng_stats_get(3), nng_stat(5), nng(7)